summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2018-03-21 17:41:28 +0100
committerMichał Górny <mgorny@gentoo.org>2018-03-21 19:12:21 +0100
commit984798d18d0424eba4bd7548664d581a302add53 (patch)
tree05d2b2fae90f04f5bc692c5f152a90b8945aa17d
parentdev-java/java-config: Support sys-apps/portage-mgorny (diff)
downloadgentoo-984798d18d0424eba4bd7548664d581a302add53.tar.gz
gentoo-984798d18d0424eba4bd7548664d581a302add53.tar.bz2
gentoo-984798d18d0424eba4bd7548664d581a302add53.zip
app-portage/gentoopm: Support sys-apps/portage-mgorny
-rw-r--r--app-portage/gentoopm/gentoopm-0.2.9-r1.ebuild (renamed from app-portage/gentoopm/gentoopm-0.2.9.ebuild)3
-rw-r--r--app-portage/gentoopm/gentoopm-9999.ebuild3
2 files changed, 4 insertions, 2 deletions
diff --git a/app-portage/gentoopm/gentoopm-0.2.9.ebuild b/app-portage/gentoopm/gentoopm-0.2.9-r1.ebuild
index 60dc5d73ba4..21be8599cc2 100644
--- a/app-portage/gentoopm/gentoopm-0.2.9.ebuild
+++ b/app-portage/gentoopm/gentoopm-0.2.9-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -18,6 +18,7 @@ IUSE="doc"
RDEPEND="|| (
sys-apps/pkgcore
>=sys-apps/portage-2.1.10.3[${PYTHON_USEDEP}]
+ sys-apps/portage-mgorny[${PYTHON_USEDEP}]
>=sys-apps/paludis-0.64.2[python-bindings] )"
DEPEND="doc? ( dev-python/epydoc )"
PDEPEND="app-eselect/eselect-package-manager"
diff --git a/app-portage/gentoopm/gentoopm-9999.ebuild b/app-portage/gentoopm/gentoopm-9999.ebuild
index a4529c98bc9..e9de24d57a0 100644
--- a/app-portage/gentoopm/gentoopm-9999.ebuild
+++ b/app-portage/gentoopm/gentoopm-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -20,6 +20,7 @@ RDEPEND="
|| (
>=sys-apps/pkgcore-0.9.4[${PYTHON_USEDEP}]
>=sys-apps/portage-2.1.10.3[${PYTHON_USEDEP}]
+ sys-apps/portage-mgorny[${PYTHON_USEDEP}]
>=sys-apps/paludis-3.0.0_pre20170219[python,${PYTHON_USEDEP}] )"
DEPEND="doc? ( dev-python/epydoc[$(python_gen_usedep python2_7)] )"
PDEPEND="app-eselect/eselect-package-manager"